Skip to content
Start here

Get delivery mechanism eligibility

alerting.destinations.eligible.get(EligibleGetParams**kwargs) -> EligibleGetResponse
GET/accounts/{account_id}/alerting/v3/destinations/eligible

Get a list of all delivery mechanism types for which an account is eligible.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

The account id

maxLength32
ReturnsExpand Collapse
Dict[str, List[EligibleGetResponseItem]]
eligible: Optional[bool]

Determines whether or not the account is eligible for the delivery mechanism.

ready: Optional[bool]

Beta flag. Users can create a policy with a mechanism that is not ready, but we cannot guarantee successful delivery of notifications.

type: Optional[Literal["email", "pagerduty", "webhook"]]

Determines type of delivery mechanism.

One of the following:
"email"
"pagerduty"
"webhook"

Get delivery mechanism eligibility

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
eligible = client.alerting.destinations.eligible.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(eligible)
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "foo": [
      {
        "eligible": true,
        "ready": true,
        "type": "email"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "foo": [
      {
        "eligible": true,
        "ready": true,
        "type": "email"
      }
    ]
  }
}